import { OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { ConfigService, FormValidatorService } from '../core';
import { AlertService } from '../core';
import { StorageService } from '../core';
import { UntypedFormGroup, UntypedFormBuilder } from '@angular/forms';
import { UserConfigService } from '../user-config';
import { MultiUserConfig } from '../user-config';
import { AuthenticationService, CredentialsService, ErrorHandlerService, HttpService } from '../core';
import { User } from '../user';
import { CurrentUserService } from '../user';
import * as i0 from "@angular/core";
export declare class LoginComponent implements OnInit {
    private http;
    private alerter;
    private router;
    private authService;
    private config;
    currentUserService: CurrentUserService;
    private errorService;
    private storage;
    private credentialService;
    private fb;
    private formValidatorService;
    private route;
    userConfigService: UserConfigService;
    user: User;
    isWorking: boolean;
    loginForm: UntypedFormGroup;
    userConfig: MultiUserConfig;
    loginError: {
        type: string;
        message: string;
    };
    userClients: any[];
    constructor(http: HttpService, alerter: AlertService, router: Router, authService: AuthenticationService, config: ConfigService, currentUserService: CurrentUserService, errorService: ErrorHandlerService, storage: StorageService, credentialService: CredentialsService, fb: UntypedFormBuilder, formValidatorService: FormValidatorService, route: ActivatedRoute, userConfigService: UserConfigService);
    ngOnInit(): void;
    login(): void;
    loadUser(): void;
    redirect(provider: any): void;
    /** Method to evaluate form fields*/
    isFieldValid(field: string): any;
    /** Method to find error in form fields*/
    getErrorMessage(field: string): any;
    /**
     * Handle the login errors.
     *
     * @param errorObj
     * @private
     */
    private handleLoginErrors;
    backToLogin(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginComponent, "login", never, {}, {}, never, never, false, never>;
}
